﻿<!-- templates/my_prod.html -->
{% extends 'base.html' %}

{% block title %} 我的商品 {% endblock %}

{% block head %}
{{ super() }}
{% endblock %}

{% block page_header %}
{{ super() }}
{% endblock %}

{% block content %}
<div class="page-wrap">
    <div class="page-content">
        <main class="main-content">
            <section class="section-featured-products">
                <div class="container">
                    <div class="section-title text-center">
                        {% if prod_list %}
                        <h2 class="h2 section-title__heading">已审核商品</h2>
                        {% else %}
                        <h2 class="h2 section-title__heading">暂时没有商品</h2>
                        {% endif %}
                    </div>
                    <ul class="products featured-products columns-4">
                        {% for prod in prod_list%}
                        {% if prod.identity_ok %}
                        <li class="product">
                            <div class="product-thumb">
                                <div class="procDisplay">
                                    <img src="{{ url_for('static',filename=prod.img) }}" alt="">
                                </div>
                                <a href="{{url_for('Check_store.show_prod',key_word='1',prod_id=prod.id)}}"
                                    class="btn btn-outline-light shop-link"
                                    style="transform: translate(-50%, -150%)">详细信息</a>

                                <a type="submit" href="{{ url_for('store.modify_prod',prod_id=prod.id) }}"
                                    class="btn btn-outline-light shop-link">修改</a>

                                <a type="submit" onclick="return confirm('确认删除？');"
                                    href="{{ url_for('store.del_prod',prod_del_id=prod.id) }}"
                                    class="btn btn-outline-light shop-link"
                                    style="transform: translate(-50%, 150%)">删除</a>
                            </div>
                            <div class="product-title"><a>商品名称：{{prod.name}}</a>
                            </div>
                            <div class="price">
                                <span class="amount">价格：{{prod.price}}</span>
                            </div>
                        </li>
                        {% endif %}
                        {% endfor %}
                    </ul>

                    {% if prod_list %}
                    <div class="section-title text-center">

                        <h2 class="h2 section-title__heading">未通过审核商品</h2>
                    </div>
                    <ul class="products featured-products columns-4">
                        {% for prod in prod_list%}
                        {% if not prod.identity_ok %}
                        <li class="product">
                            <div class="product-thumb">
                                <div class="procDisplay">
                                    <img src="{{ url_for('static',filename=prod.img) }}" alt="">
                                </div>
                                <a href="{{url_for('Check_store.show_prod',key_word='1',prod_id=prod.id)}}"
                                    class="btn btn-outline-light shop-link"
                                    style="transform: translate(-50%, -150%)">详细信息</a>

                                <a type="submit" href="{{ url_for('store.modify_prod',prod_id=prod.id) }}"
                                    class="btn btn-outline-light shop-link">修改</a>

                                <a type="submit" onclick="return confirm('确认删除？');"
                                    href="{{ url_for('store.del_prod',prod_del_id=prod.id) }}"
                                    class="btn btn-outline-light shop-link"
                                    style="transform: translate(-50%, 150%)">删除</a>
                            </div>
                            <div class="product-title"><a>商品名称：{{prod.name}}</a>
                            </div>
                            <div class="price">
                                <span class="amount">价格：{{prod.price}}</span>
                            </div>

                            <div class="price">
                                {% if prod.update_admin %}
                                <span class="amount">等待审核</span>
                                {% else %}
                                <span class="amount">审核未通过，请进行修改</span>
                                <br>
                                <span class="amount">理由：{{prod.identity_reason}}</span>
                                {% endif %}
                            </div>
                        </li>
                        {% endif %}
                        {% endfor %}
                    </ul>
                    {% endif %}
                </div>
            </section>
        </main> <!-- end of main -->
    </div>
</div>
{% endblock %}

{% block page_footer %}
{{ super() }}
{% endblock %}

{% block search_wrap %}
{{ super() }}
{% endblock %}